com.pixelmed.test

## Class TestPatientAgeWhenRemoveIdentifyingAttributes

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.pixelmed.test.TestPatientAgeWhenRemoveIdentifyingAttributes

All Implemented Interfaces:
  junit.framework.Test

    public class TestPatientAgeWhenRemoveIdentifyingAttributes
    extends junit.framework.TestCase

### Field Summary

Fields
`protected java.lang.String` `ageDerived`
`protected java.lang.String` `ageEncoded`
`protected java.lang.String` `currentDate`
`protected java.lang.String` `dob`
`protected AttributeList` `list`

### Constructor Summary

Constructors
Constructor and Description
`TestPatientAgeWhenRemoveIdentifyingAttributes(java.lang.String name)`

### Method Summary

Methods
`protected void` `setUp()`
`static junit.framework.Test` `suite()`
`protected void` `tearDown()`
`void` `TestPatientAgeWhenRemoveIdentifyingAttributes_DoNotKeepIdentifyingAttributes()`
`void` `TestPatientAgeWhenRemoveIdentifyingAttributes_KeepIdentifyingAttributesAgeAbsent()`
`void` `TestPatientAgeWhenRemoveIdentifyingAttributes_KeepIdentifyingAttributesAgeAlreadyPresent()`
`void` `TestPatientAgeWhenRemoveIdentifyingAttributes_KeepIdentifyingAttributesAgeZeroLength()`
`void` `TestPatientAgeWhenRemoveIdentifyingAttributes_KeepIdentifyingAttributesAgeZeroLengthAndStudyDateZeroLength()`
`void` `TestPatientAgeWhenRemoveIdentifyingAttributes_KeepIdentifyingAttributesAgeZeroLengthAndStudySeriesAcquisitionContentDateZeroLength()`
`void` `TestPatientAgeWhenRemoveIdentifyingAttributes_KeepIdentifyingAttributesAgeZeroLengthAndStudySeriesAcquisitionDateAbsent()`
`void` `TestPatientAgeWhenRemoveIdentifyingAttributes_KeepIdentifyingAttributesAgeZeroLengthAndStudySeriesAcquisitionDateZeroLength()`
`void` `TestPatientAgeWhenRemoveIdentifyingAttributes_KeepIdentifyingAttributesAgeZeroLengthAndStudySeriesDateZeroLength()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ageEncoded

    protected java.lang.String ageEncoded

#### ageDerived

    protected java.lang.String ageDerived

#### dob

    protected java.lang.String dob

#### currentDate

    protected java.lang.String currentDate

#### list

    protected AttributeList list

### Constructor Detail

#### TestPatientAgeWhenRemoveIdentifyingAttributes

    public TestPatientAgeWhenRemoveIdentifyingAttributes(java.lang.String name)

### Method Detail

#### suite

    public static junit.framework.Test suite()

#### setUp

    protected void setUp()
                  throws DicomException

Overrides:
  `setUp` in class `junit.framework.TestCase`
Throws:
  `DicomException`

#### tearDown

    protected void tearDown()

Overrides:
  `tearDown` in class `junit.framework.TestCase`

#### TestPatientAgeWhenRemoveIdentifyingAttributes_DoNotKeepIdentifyingAttributes

    public void TestPatientAgeWhenRemoveIdentifyingAttributes_DoNotKeepIdentifyingAttributes()
                                                                                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestPatientAgeWhenRemoveIdentifyingAttributes_KeepIdentifyingAttributesAgeAlreadyPresent

    public void TestPatientAgeWhenRemoveIdentifyingAttributes_KeepIdentifyingAttributesAgeAlreadyPresent()
                                                                                                  throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestPatientAgeWhenRemoveIdentifyingAttributes_KeepIdentifyingAttributesAgeAbsent

    public void TestPatientAgeWhenRemoveIdentifyingAttributes_KeepIdentifyingAttributesAgeAbsent()
                                                                                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestPatientAgeWhenRemoveIdentifyingAttributes_KeepIdentifyingAttributesAgeZeroLength

    public void TestPatientAgeWhenRemoveIdentifyingAttributes_KeepIdentifyingAttributesAgeZeroLength()
                                                                                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestPatientAgeWhenRemoveIdentifyingAttributes_KeepIdentifyingAttributesAgeZeroLengthAndStudyDateZeroLength

    public void TestPatientAgeWhenRemoveIdentifyingAttributes_KeepIdentifyingAttributesAgeZeroLengthAndStudyDateZeroLength()
                                                                                                                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestPatientAgeWhenRemoveIdentifyingAttributes_KeepIdentifyingAttributesAgeZeroLengthAndStudySeriesDateZeroLength

    public void TestPatientAgeWhenRemoveIdentifyingAttributes_KeepIdentifyingAttributesAgeZeroLengthAndStudySeriesDateZeroLength()
                                                                                                                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestPatientAgeWhenRemoveIdentifyingAttributes_KeepIdentifyingAttributesAgeZeroLengthAndStudySeriesAcquisitionDateZeroLength

    public void TestPatientAgeWhenRemoveIdentifyingAttributes_KeepIdentifyingAttributesAgeZeroLengthAndStudySeriesAcquisitionDateZeroLength()
                                                                                                                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestPatientAgeWhenRemoveIdentifyingAttributes_KeepIdentifyingAttributesAgeZeroLengthAndStudySeriesAcquisitionContentDateZeroLength

    public void TestPatientAgeWhenRemoveIdentifyingAttributes_KeepIdentifyingAttributesAgeZeroLengthAndStudySeriesAcquisitionContentDateZeroLength()
                                                                                                                                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestPatientAgeWhenRemoveIdentifyingAttributes_KeepIdentifyingAttributesAgeZeroLengthAndStudySeriesAcquisitionDateAbsent

    public void TestPatientAgeWhenRemoveIdentifyingAttributes_KeepIdentifyingAttributesAgeZeroLengthAndStudySeriesAcquisitionDateAbsent()
                                                                                                                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`